<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

require_once '../lib/gettext/gettext.inc';
include_once '../inc/config.inc.php';
include_once '../inc/fic_cocl.inc.php';
include_once '../inc/fic_int.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_time.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';

/************************************************************/
/* Récupération contrats de report en fonction code contrat */
/************************************************************/

session_start();
sleep(1);
if (array_key_exists('nco', $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?nco=un-code-contrat";
}

function print_plain()
{
    header('Content-type: text/html; charset=UTF-8');
    $result = [];

    $tab_cocl = get_cocl3($_REQUEST['nco']);
    if (count($tab_cocl) > 0) {
        foreach ($tab_cocl as $value) {
            $result[] = $value['cocl_code'] . '=' . $value['cocl_desc'];
        }
    }
    print implode(';', $result);
}

/**
 * @param $nco
 * @return array
 */
function get_cocl3($nco)
{
    return cre_tab_cocl_report_clot($nco);
}
